%bcond_with check

Name:		xmltv
Version:	1.3.0
Release:	%mkrel 1
Summary:	A set of utilities to manage your TV viewing
License:	GPLv2+
Group:		Video/Television
URL:		https://wiki.xmltv.org/
Source0:	https://github.com/XMLTV/xmltv/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		xmltv-0.5.63-noask.patch
BuildArch:	noarch
BuildRequires:	locales
BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(CGI)
BuildRequires:  perl(Data::Dump)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl-DateManip >= 5.42
BuildRequires:	perl(DateTime::Format::ISO8601)
BuildRequires:	perl(DateTime::Format::Strptime)
BuildRequires:	perl(DateTime::Format::SQLite)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl-devel
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Which)
BuildRequires:	perl(File::HomeDir)
BuildRequires:	perl(HTML::LinkExtractor)
BuildRequires:	perl(HTML::TableExtract) >= 1.08
BuildRequires:	perl(HTML::Tree)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(HTTP::Cache::Transparent)
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-libwww-perl >= 5.65
BuildRequires:	perl(Lingua::Preferred)
BuildRequires:	perl(Lingua::EN::Numbers::Ordinate)
BuildRequires:	perl(Linux::DVB)
BuildRequires:	perl(LWP::UserAgent::Determined)
BuildRequires:	perl(Parse::RecDescent)
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl(SOAP::Lite)
BuildRequires:	perl(Term::ProgressBar) >= 2.03
BuildRequires:	perl(Term::ReadKey)
BuildRequires:	perl-TimeDate
BuildRequires:	perl(Tk::TableMatrix)
BuildRequires:	perl(Unicode::String)
BuildRequires:	perl(Unicode::UTF8simple)
BuildRequires:	perl(URI::Encode)
BuildRequires:	perl(WWW::Mechanize) >= 1.02
BuildRequires:	perl(XML::DOM)
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::LibXSLT)
BuildRequires:	perl(XML::Simple)
BuildRequires:	perl(XML::TreePP)
BuildRequires:	perl(XML::Twig) >= 3.09
BuildRequires:	perl(XML::Writer) >= 0.4.6
Requires:	perl-HTML-Parser >= 3.34

# deleted grabbers
Obsoletes:	%{name}-grabbers-es < 0.6.1
Obsoletes:	%{name}-grabbers-nl < 0.6.1
Obsoletes:	%{name}-grabbers-tr < 1.2.1

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the back-end (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

There are five backends at present, grabbing TV listings for Canada,
the USA, the UK, Germany, Austria, Sweden and Norway. There are
filters to sort the listings by date, to remove shows that have
already been broadcast, and a couple of programmes to organize your
viewing by storing preferences of what shows you watch. There are a
couple of backends to produce printed output.

%files
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/tv_augment_tz
%{_bindir}/tv_augment
%{_bindir}/tv_cat
%{_bindir}/tv_count
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_find_grabbers
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_merge
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_tmdb
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_bindir}/tv_validate_file
%{_bindir}/tv_validate_grabber
%{_mandir}/man1/tv_augment_tz.1*
%{_mandir}/man1/tv_augment.1*
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_count.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_find_grabbers.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_merge.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_tmdb.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*
%{_mandir}/man1/tv_validate_file.1*
%{_mandir}/man1/tv_validate_grabber.1*
%dir %{_datadir}/xmltv/
%{_datadir}/xmltv/xmltv.dtd
%{_datadir}/xmltv/xmltv-lineups.xsd
%dir %{_datadir}/xmltv/tv_augment/
%{_datadir}/xmltv/tv_augment/augment.conf
%{_datadir}/xmltv/tv_augment/augment.rules

%package -n perl-XMLTV
Summary:	Perl modules for managing your TV viewing
Group:		Development/Perl

%description -n perl-XMLTV
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the back-end (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%files -n perl-XMLTV
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{_mandir}/man3/*

%package grabbers-ar
Summary:	Argentinian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-ar
This package contains the Argentinian grabbers for xmltv.

%files grabbers-ar
%{_bindir}/tv_extractinfo_ar
%{_mandir}/man1/tv_extractinfo_ar*.1*

%if 0
%package grabbers-au
Summary:	Australian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-au
This package contains the australian grabbers for xmltv.

%files grabbers-au
%{_bindir}/tv_grab_au
%{_mandir}/man1/tv_grab_au*.1*
%{_datadir}/xmltv/tv_grab_au/channel_ids

%package grabbers-be
Summary:	Belgian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-be
This package contains the belgian grabbers for xmltv.

%files grabbers-be
%{_bindir}/tv_grab_be
%{_mandir}/man1/tv_grab_be*.1*
%{_datadir}/xmltv/tv_grab_be/channel_ids_fr
%{_datadir}/xmltv/tv_grab_be/channel_ids_nl

%package grabbers-br
Summary:	Brazillian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-br
This package contains the brazillian grabbers for xmltv.

%files grabbers-br
%{_bindir}/tv_grab_br
%{_bindir}/tv_grab_br_net
%{_mandir}/man1/tv_grab_br*.1*
%endif

%if 1
%package grabbers-ch
Summary:	Swiss grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-ch
This package contains the swiss grabbers for xmltv.

%files grabbers-ch
%{_bindir}/tv_grab_ch_*
%{_mandir}/man1/tv_grab_ch_*.1*
%endif

%package grabbers-combiner
Summary:	Grabber to grab data from multiple grabbers at once
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-combiner
This package contains a grabber to grab data from multiple grabbers at once.

%files grabbers-combiner
%{_bindir}/tv_grab_combiner
%{_mandir}/man1/tv_grab_combiner.1*

%if 0
%package grabbers-de
Summary:	German grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-de
This package contains the german grabbers for xmltv.

%files grabbers-de
%{_bindir}/tv_grab_de*
%{_mandir}/man1/tv_grab_de*.1*
%{_datadir}/xmltv/tv_grab_de_tvtoday
%endif

%if 0
%package grabbers-dk
Summary:	Danish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-dk
This package contains the danish grabbers for xmltv.

%files grabbers-dk
%{_bindir}/tv_grab_dk_dr
%{_mandir}/man1/tv_grab_dk_dr.1*
%endif

%if 0
%package grabbers-dtv_la
Summary:	Latin American grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-dtv_la
This package contains the Latin American grabbers for xmltv.

%files grabbers-dtv_la
%{_bindir}/tv_grab_dtv_la
%{_mandir}/man1/tv_grab_dtv_la.1*
%endif

%if 0
%package grabbers-ee
Summary:	Estonian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-ee
This package contains the estonian grabbers for xmltv.

%files grabbers-ee
%{_bindir}/tv_grab_ee*
%{_mandir}/man1/tv_grab_ee*.1*
%endif

%if 0
%package grabbers-es
Summary:	Spanish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-es
This package contains the spanish grabbers for xmltv.

%files grabbers-es
%{_bindir}/tv_grab_es*
%{_mandir}/man1/tv_grab_es*.1*
%endif

%if 0
%package grabbers-eu
Summary:	European grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-eu
This package contains the European grabbers for xmltv.

%files grabbers-eu
#{_bindir}/tv_grab_eu_egon
#{_bindir}/tv_grab_eu_epgdata
#{_bindir}/tv_grab_eu_dotmedia
#{_bindir}/tv_grab_eu_xmltvse
#{_mandir}/man1/tv_grab_eu_egon.1*
#{_mandir}/man1/tv_grab_eu_epgdata.1*
#{_mandir}/man1/tv_grab_eu_dotmedia.1*
#{_mandir}/man1/tv_grab_eu_xmltvse.1*
#{_datadir}/xmltv/tv_grab_eu_epgdata/channel_ids
%endif

%package grabbers-fi
Summary:	Finnish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-fi
This package contains the Finnish grabbers for xmltv.

%files grabbers-fi
%{_bindir}/tv_grab_fi*
%{_mandir}/man1/tv_grab_fi*.1*

%package grabbers-fr
Summary:	French grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers
Requires:	perl(HTML::TreeBuilder)

%description grabbers-fr
This package contains the french grabbers for xmltv.

%files grabbers-fr
%{_bindir}/tv_grab_fr*
%{_mandir}/man1/tv_grab_fr*.1*

%if 0
%package grabbers-hr
Summary:	Croatia grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-hr
This package contains the Croatia grabbers for xmltv.

%files grabbers-hr
%{_bindir}/tv_grab_hr
%{_mandir}/man1/tv_grab_hr.1*
%endif

%package grabbers-huro
Summary:	Hungarian-Romanian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-huro
This package contains the Hungarian-Romanian grabbers for xmltv.
It also includes Czech and Romanian support.

%files grabbers-huro
%{_bindir}/tv_grab_huro
%{_mandir}/man1/tv_grab_huro.1*
%{_datadir}/xmltv/tv_grab_huro/jobmap
%{_datadir}/xmltv/tv_grab_huro/catmap.hu
%{_datadir}/xmltv/tv_grab_huro/catmap.ro
%{_datadir}/xmltv/tv_grab_huro/catmap.cz
%{_datadir}/xmltv/tv_grab_huro/catmap.sk


%if 0
%package grabbers-il
Summary:	Israeli grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-il
This package contains the israeli grabbers for xmltv.

%files grabbers-il
%{_bindir}/tv_grab_il*
%{_mandir}/man1/tv_grab_il*.1*
%endif

%if 0
%package grabbers-in
Summary:        Indian grabbers for xmltv
Group:          Video/Television
Provides:	xmltv-grabbers

%description grabbers-in
This package contains the indian grabbers for xmltv.

%files grabbers-in
%{_bindir}/tv_grab_in*
%{_mandir}/man1/tv_grab_in*.1*
%endif

%package grabbers-is
Summary:	Icelandic grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-is
This package contains the Icelandic grabbers for xmltv.

%files grabbers-is
%{_bindir}/tv_grab_is*
%{_mandir}/man1/tv_grab_is*.1*
%{_datadir}/xmltv/tv_grab_is/category_map

%package grabbers-it
Summary:	Italian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-it
This package contains the italian grabbers for xmltv.

%files grabbers-it
%{_bindir}/tv_grab_it*
%{_mandir}/man1/tv_grab_it*.1*
%{_datadir}/xmltv/tv_grab_it*

%if 0
%package grabbers-jp
Summary:	Japanese grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-jp
This package contains the japanese grabbers for xmltv.

%files grabbers-jp
%doc grab/jp/README.CATV
%{_bindir}/tv_grab_jp
%{_mandir}/man1/tv_grab_jp.1*
%endif

%package grabbers-na
Summary:	North American grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-na
This package contains the North American grabbers for xmltv.

%files grabbers-na
%{_bindir}/tv_grab_na*
%{_mandir}/man1/tv_grab_na*.1*

%if 0
%package	grabbers-nc
Summary:	Nouvelle Caledonie (France) grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-nc
This package contains the nouvelle caledonie (france) grabbers for xmltv.

%files grabbers-nc
%{_bindir}/tv_grab_nc
%{_mandir}/man1/tv_grab_nc.1*
%endif

%if 0
%package grabbers-nl
Summary:	Dutch grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-nl
This package contains the dutch grabbers for xmltv.

%files grabbers-nl
%{_bindir}/tv_grab_nl*
%{_mandir}/man1/tv_grab_nl*.1*
%endif

%if 0
%package grabbers-no
Summary:	Norwegian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-no
This package contains the norwegian grabbers for xmltv.

%files grabbers-no
%{_bindir}/tv_grab_no*
%{_mandir}/man1/tv_grab_no*.1*
%endif

%package grabbers-pt
Summary:	Portugese grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-pt
This package contains the portugese grabbers for xmltv.

%files grabbers-pt
%{_bindir}/tv_grab_pt_vodafone
%{_mandir}/man1/tv_grab_pt_vodafone.1*

%if 0
%package grabbers-re
Summary:	Reunion island grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-re
This package contains the Reunion Island (France) grabbers for xmltv.

%files grabbers-re
%{_bindir}/tv_grab_re*
%{_mandir}/man1/tv_grab_re*.1*
%endif

%package grabbers-zz_sdjson
Summary:	ScheduleDirect.org's SD-JSON service grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers
Obsoletes:	xmltv-grabbers-sd_json < 0.5.69

%description grabbers-zz_sdjson
This package contains ScheduleDirect.org's SD-JSON service grabbers for xmltv.

%files grabbers-zz_sdjson
%{_bindir}/tv_grab_zz_sdjson
%{_bindir}/tv_grab_zz_sdjson_sqlite
%{_mandir}/man1/tv_grab_zz_sdjson.1*
%{_mandir}/man1/tv_grab_zz_sdjson_sqlite.1*

%if 0
%package grabbers-se
Summary:	Swedish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-se
This package contains the swedish grabbers for xmltv.

%files grabbers-se
%{_bindir}/tv_grab_se*
%{_mandir}/man1/tv_grab_se*.1*
%endif

%if 0
%package grabbers-tr
Summary:	Turkish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-tr
This package contains the turkish grabbers for xmltv.

%files grabbers-tr
%{_bindir}/tv_grab_tr
%{_mandir}/man1/tv_grab_tr*.1*
%endif

%package grabbers-uk
Summary:	English grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-uk
This package contains the English grabbers for xmltv.

%files grabbers-uk
%{_bindir}/tv_grab_uk*
%{_mandir}/man1/tv_grab_uk*.1*

%if 0
%package grabbers-za
Summary:	South-African grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-za
This package contains the south-african grabbers for xmltv.

%files grabbers-za
%{_bindir}/tv_grab_za*
%{_mandir}/man1/tv_grab_za*.1*
%endif

%package gui
Summary:	Graphical frontends to xmltv
Group:		Video/Television

%description gui
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the back-end (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains graphical frontends to xmltv.

%files gui
%doc choose/tv_check/README.tv_check
%{_bindir}/tv_check
%{_mandir}/man1/tv_check.1*

%package -n tv_to_potatoe
Summary:	Convert XML to the potatoe guide view tool
Group:		Video/Television

%description -n tv_to_potatoe
Convert XML to the potatoe guide view tool.

%files -n tv_to_potatoe
%{_bindir}/tv_to_potatoe
%{_mandir}/man1/tv_to_potatoe.1*

%prep
%autosetup -p1

%build
perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} TZ=UTC
%make_build

%if %{with check}
%check
make test TZ=UTC LC_ALL=UTF-8
%endif

%install
%make_install


%changelog
* Wed Dec 04 2024 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2121544
- new version: 1.3.0

* Tue Nov 21 2023 wally <wally> 1.2.1-1.mga10
+ Revision: 2008974
- new version 1.2.1
- drop grabbers-tr

* Fri Apr 22 2022 wally <wally> 1.1.2-1.mga9
+ Revision: 1852643
- new version 1.1.2
- enable grabbers-pt subpkg again

* Tue Mar 29 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1831189
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 wally <wally> 1.0.0-1.mga9
+ Revision: 1701807
- new version 1.0.0
- enable grabbers-ch
- disable grabbers-dk

* Thu Sep 10 2020 wally <wally> 0.6.3-1.mga8
+ Revision: 1624208
- new version 0.6.3

* Wed Feb 26 2020 daviddavid <daviddavid> 0.6.1-2.mga8
+ Revision: 1550705
- backports some upstream fixes
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 wally <wally> 0.6.1-1.mga7
+ Revision: 1383418
- new version 0.6.1
- dropped grabbers
  - grabbers-es
  - grabbers-nl

* Fri Sep 21 2018 umeabot <umeabot> 0.5.70-2.mga7
+ Revision: 1292171
- Mageia 7 Mass Rebuild

* Wed Dec 06 2017 wally <wally> 0.5.70-1.mga7
+ Revision: 1181493
- new version 0.5.70
- drop unneeded perl5.26 patch

* Sat Sep 23 2017 cjw <cjw> 0.5.69-2.mga7
+ Revision: 1158196
- fix build with perl 5.26

* Sat Jan 28 2017 wally <wally> 0.5.69-1.mga6
+ Revision: 1083729
- new version 0.5.69
- create grabbers-zz_sdjson
- drop broken grabbers-hr
- drop broke grabbers-no

* Sun Jun 19 2016 pterjan <pterjan> 0.5.67-3.mga6
+ Revision: 1036655
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.5.67-2.mga6
+ Revision: 969899
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 0.5.67-1.mga6
+ Revision: 881892
- new version 0.5.67
- drop broken grabbers-za
- drop 'disable use strict;' patch
- add tv_augment tool to assist in augmenting / tweaking the data

* Sat Jun 20 2015 wally <wally> 0.5.66-1.mga6
+ Revision: 836692
- new version 0.5.66
- add pkg for turkish grabbers
- drop upstreamed patches

* Wed Oct 15 2014 umeabot <umeabot> 0.5.65-3.mga5
+ Revision: 739981
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.65-2.mga5
+ Revision: 690716
- Mageia 5 Mass Rebuild

* Fri Jun 20 2014 wally <wally> 0.5.65-1.mga5
+ Revision: 638202
- new version 0.5.65
- add upstream fix for failing tests
- enable/disable some grabbers

* Fri Oct 18 2013 umeabot <umeabot> 0.5.63-5.mga4
+ Revision: 521707
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 barjac <barjac> 0.5.63-4.mga3
+ Revision: 391637
- update group

* Mon Jan 14 2013 umeabot <umeabot> 0.5.63-3.mga3
+ Revision: 387217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.5.63-2.mga3
+ Revision: 325316
- update RPM group

* Thu Jun 14 2012 wally <wally> 0.5.63-1.mga3
+ Revision: 260667
- new version 0.5.63
- rediff P11 and drop P4
- update BRs
- disable some pkgs for grabbers which upstream have droppped
- clean .spec

* Fri Jun 24 2011 wally <wally> 0.5.61-1.mga2
+ Revision: 113235
- new version 0.5.61
- drop broken grabbers-re
- readd tv_grab_ar to grabbers-ar
- add tv_grab_fr_kazer to grabbers-fr

* Tue Feb 22 2011 wally <wally> 0.5.59-4.mga1
+ Revision: 56805
- imported package xmltv


* Tue Dec 21 2010 Jani Välimaa <wally@mandriva.org> 0.5.59-4mdv2011.0
+ Revision: 623670
- drop P10
- use latest tv_grab_fi from upstream cvs

* Thu Dec 09 2010 Jani Välimaa <wally@mandriva.org> 0.5.59-3mdv2011.0
+ Revision: 618143
- yet more tv_grab_fi fixes
- own unowned dir

* Sat Dec 04 2010 Jani Välimaa <wally@mandriva.org> 0.5.59-2mdv2011.0
+ Revision: 609553
- more tv_grab_fi fixes

* Wed Dec 01 2010 Jani Välimaa <wally@mandriva.org> 0.5.59-1mdv2011.0
+ Revision: 604556
- add missing BRs
- new version 0.5.59
- drop upstream applied patch
- add patch to fix tv_grab_fi due to site change
- add patch to "fix" interactive build
- re-enable grabbers-il and grabbers-nl packages
- add grabbers-in subpackage
- enable tests again
- clean .spec a bit

* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.56-4mdv2010.1
+ Revision: 512855
- add upstream patch to workaround broken tv_grab_na_dd.in due to latest
  perl-Date-Manip changes (fix mdv bug #56506)

* Sun Feb 07 2010 Jérôme Brenier <incubusss@mandriva.org> 0.5.56-3mdv2010.1
+ Revision: 501552
- add BR perl-DateTime-Format-Strptime and perl-Linux-DVB

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 0.5.56 (South African grabber is back)

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.55-1mdv2009.1
+ Revision: 357732
- Update to new version 0.5.55
- Disable za, jp and br packages: dropped upstream because they don't
  work
- Add Czech and Slovenian support to huro subpackage

* Fri Jan 16 2009 Guillaume Bedot <littletux@mandriva.org> 0.5.54-1mdv2009.1
+ Revision: 330225
- tv_grab_be removed upstream
- Release 0.5.54

* Mon Jan 12 2009 Guillaume Bedot <littletux@mandriva.org> 0.5.53-1mdv2009.1
+ Revision: 328496
- Fix license
- Fixed URL

  + Stefan van der Eijk <stefan@mandriva.org>
    - 0.5.53

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.5.51-4mdv2009.0
+ Revision: 262464
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.5.51-3mdv2009.0
+ Revision: 257188
- rebuild

* Mon Feb 18 2008 Stefan van der Eijk <stefan@mandriva.org> 0.5.51-1mdv2008.1
+ Revision: 170089
- remove grabbers-nc
- 0.5.51

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.50-1mdv2008.1
+ Revision: 116436
- fix path to eu channel_ids
- add discription for grabbers-eu package
- add grabbers-eu package
- disable grabbers-il package
- disable perl-Text-Bidi BuildRequires due to dep issue
- adjust BuildRequires for Israeli grabber
- 0.5.50

* Thu Oct 04 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.49-1mdv2008.1
+ Revision: 95376
- remove unused patches
- 0.5.49

* Thu Aug 23 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.48-2mdv2008.0
+ Revision: 69314
- fix http://qa.mandriva.com/show_bug.cgi?id=32746

* Tue Aug 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.48-1mdv2008.0
+ Revision: 68689
- 0.5.48

* Sun Aug 19 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.47-1mdv2008.0
+ Revision: 66513
- disable make test due to YPBINDPROC_DOMAIN: Domain not bound errors on Mandriva build system
- 0.5.47

* Tue Jul 10 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.46-1mdv2008.0
+ Revision: 51083
- fix typo in .spec file
- add new grabbers to .spec file
- fix typo in grabbers-es package
- remove grabbers-de package (copyright issue in Germany?)
- 0.5.46
- disable patch1


* Sun Jan 07 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.45-2mdv2007.0
+ Revision: 105018
- disable patch3 (nl_default_days)

* Mon Dec 04 2006 Stefan van der Eijk <stefan@mandriva.org> 0.5.45-1mdv2007.1
+ Revision: 90454
- 0.5.45

* Sat Nov 04 2006 Stefan van der Eijk <stefan@mandriva.org> 0.5.44-3mdv2007.1
+ Revision: 76524
- sync
- rebuild for 2007.1, decompress patches
- Import xmltv

* Mon Jul 17 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.44-2
- grabbers-fr: Requires: perl(HTML::TreeBuilder) (#23730)

* Sun Jun 25 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.44-1
- 0.5.44

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.43-2
- add BuildRequires: perl-Locale-Hebrew for the israeli grabber
- patch7: comment out "use strict" from None.pm, it breaks stuff
- reorganize .spec file

* Thu Jun 15 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.43-1mdk
- 0.5.43

* Sat Apr 15 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.42-5mdk
- fix Dutch grabber

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.42-4mdk
- Patch5 (CVS): fix french grabber

* Sun Feb 26 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.42-3mdk
- commented out all locales Requires (please complain if they are needed)
- removed locales Requires for Sweden (not needed) (#21346)
- add patch4 (perl 5.8.8 issue?)

* Sun Jan 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.42-2mdk
- Remove patch4, it is really no longer needed

* Sun Jan 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.42-1mdk
- New release 0.5.42
- disable patch 4, as it seems to be fixed upstream (please test):
  "tv_grab_fr: fixed for site changes."

* Sun Jan 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.41-3mdk
- Patch4: update french grabber with latest CVS version

* Sat Dec 31 2005 Stefan van der Eijk <stefan@eijk.nu> 0.5.41-2mdk
- fix bug #19604
- no such package as locales-za

* Fri Dec 02 2005 Stefan van der Eijk <stefan@eijk.nu> 0.5.41-1mdk
- 0.5.41

* Fri Jul 01 2005 Stefan van der Eijk <stefan@mandrakes.org> 0.5.40-2mdk
- patch3: change default number of days for nl grabber

* Sun Jun 05 2005 Stefan van der Eijk <stefan@mandrakes.org> 0.5.40-1mdk
- 0.5.40
- fix typo in 0.5.39-1mdk changelog

* Tue May 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.5.39-2mdk
- Patch 2: fix syntax error with perl 5.8.7

* Mon Mar 14 2005 Stefan van der Eijk <stefan@mandrakes.org> 0.5.39-1mdk
- 0.5.39

* Mon Jan 24 2005 Stefan van der Eijk <stefan@mandrakes.org> 0.5.38-2mdk
- extra BuildRequires for 2nd sweedish grabber
- add portugese grabber package
- make package rpmbuildupdate aware

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.5.38-1mdk
- 0.5.38

* Wed Dec 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.37-3mdk 
- all grabbers subpackage provide xmltv-grabbers

* Tue Nov 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.37-2mdk 
- split grabbers to reduce dependencies
- some spec cleanup
- added locales dependencies, as suggested by rpmlint (not sure it is a good idea however)

* Mon Nov 29 2004 Stefan van der Eijk <stefan@mandrake.org> 0.5.37-1mdk
- 0.5.37

* Wed Oct 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.36-1mdk
- 0.5.36

* Wed Sep 29 2004 Stefan van der Eijk <stefan@mandrake.org> 0.5.35-1mdk
- 0.5.35
- added BuildRequires for tv_grab_uk_bleb

* Tue May 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.34-1mdk
- 0.5.34
- fr grabbers are now merged upstream

* Sun May 23 2004 Stefan van der Eijk <stefan@mandrake.org> 0.5.33-1mdk
- 0.5.33
- drop patch0
- BuildRequires: perl-WWW-Mechanize (tv_grab_na_icons)

* Thu Apr 22 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-4mdk
- add BuildRequires: perl-HTML-LinkExtractor for tv_grab_no
- add BuildRequires: perl-XML-LibXML for tv_grab_se

* Mon Apr 19 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-3mdk
- add BuildRequires: perl-SOAP-Lite for tv_grab_na_dd
- add BuildRequires: perl-Text-Kakasi for tv_grab_jp
- todo: add BuildRequires: perl-HTML-Entities
  perl-HTML-LinkExtractor for tv_grab_no

* Sun Apr 18 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-2mdk
- SOURCE1: XMLTV::Europe_TZ -->  XMLTV::DST

* Fri Apr 16 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-1mdk
- 0.5.32

* Tue Apr 13 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.31-1mdk
- 0.5.31

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.29-1mdk
- 0.5.29

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.28-1mdk
- 0.5.28

* Sat Jan 17 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.27-1mdk
- merge changes from thac's package

